Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2016-10931

Published: 26 August 2019

An issue was discovered in the openssl crate before 0.9.0 for Rust. There is an SSL/TLS man-in-the-middle vulnerability because certificate verification is off by default and there is no API for hostname verification.

Priority

Medium

Cvss 3 Severity Score

8.1

Score breakdown

Status

Package Release Status
rust-openssl
Launchpad, Ubuntu, Debian
bionic Does not exist

disco Ignored
(end of life)
eoan Not vulnerable
(0.10.23-1)
trusty Does not exist

upstream Not vulnerable
(debian: Fixed before initial upload to archive)
xenial Does not exist

Severity score breakdown

Parameter Value
Base score 8.1
Attack vector Network
Attack complexity High
Privileges required None
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H